$(function(){
	//顶部滚动最新新闻
	var swiper = new Swiper('.header_top .swiper-container', {
		speed:800,
		autoplay: {
			delay:4500,
			disableOnInteraction:false,
			pauseOnMouseEnter:true,
		},
		loop:true,
		direction: "vertical",
		
	});
	
	// banner
	var swiper = new Swiper('.banner_box .swiper-container', {
		speed:800,
		autoplay: {
			delay:4500,
			disableOnInteraction:false,
			pauseOnMouseEnter:true,
		},
		loop:true,
		pagination: {
			el: '.banner_box .swiper-pagination',
			clickable: true,
		},
		
	});
	
	// 常见问题
	$(".faq_list ul li").each(function(index){
		$(".faq_list ul li").eq(index).find(".faq_top").click(function(){
			$(this).parent().toggleClass("active").siblings().removeClass("active");
		})
	})
	
	// 媒体
	var swiper = new Swiper('.mt_box .swiper-container', {
		slidesPerView:5,
		spaceBetween:1,
		navigation: {
		  nextEl:'.mt_box .swiper-button-next',
		  prevEl:'.mt_box .swiper-button-prev',
		},
		speed:800,
		// autoplay: {
		// 	delay:5000,
		// 	disableOnInteraction:false,
		// },
		
	});
	
	// 媒体弹出
	var swiper = new Swiper('.mt_pop .swiper-container', {
		spaceBetween:5,
		navigation: {
		  nextEl:'.mt_pop .swiper-button-next',
		  prevEl:'.mt_pop .swiper-button-prev',
		},
		speed:800,
		// autoplay: {
		// 	delay:5000,
		// 	disableOnInteraction:false,
		// },
		
	});
	
	
	
	//导航
	var initY=$(document).scrollTop();
	if(initY>200){
	 	$(".header_box").addClass("header_box2");
	}else{
	 	$(".header_box").removeClass("header_box2");
	}
	
	if(window.innerWidth>1200){
	   
	    $(window).scroll(function(){
	    	var scrY=$(document).scrollTop();
	    	if(scrY>=initY){
	    		$(".header_box").addClass("scr");
	    	}else{
	    		$(".header_box").removeClass("scr");
	    	}
	    	initY=scrY;
			if(scrY>100){
				$(".header_box").addClass("header_box2");
			}else{
				$(".header_box").removeClass("header_box2");
			}
	    })
		
		// banner鼠标按钮PC
		var banH=$(window).height() - 80;
		$(".scroll_btn").click(function () {
			$("html,body").animate({scrollTop:banH},666);
		});
		$(window).resize(function(){
			var banH=$(window).height();
			$(".scroll_btn").click(function () {
				$("html,body").animate({scrollTop:banH},666);
			});
		})
		
		
		
		
	 }else{
		 $(window).scroll(function(){
		 	var scrY1=$(document).scrollTop();
		 	if(scrY1>100){
		 		$(".header_box").addClass("scr header_box2");
		 	}else{
		 		$(".header_box").removeClass("scr header_box2");
		 	}
		 })
		 
		 // banner鼠标按钮 移动端
		 var banH=$(".banner_box").height();
		 $(".scroll_btn").click(function () {
		 	$("html,body").animate({scrollTop:banH},666);
		 });
		 $(window).resize(function(){
		 	var banH=$(".banner_box").height();
		 	$(".scroll_btn").click(function () {
		 		$("html,body").animate({scrollTop:banH},666);
		 	});
		 })
		 
		 
		
		 
	 }
	
	
	
	
	
	
	
	
	// 列表分页美化
	$(".list_pages .pagination li").each(function(index){
		var pageText=$(".list_pages .pagination li").eq(index).find("a").text();
		if(pageText=="«"){
			$(".list_pages .pagination li").eq(index).find("a").text("上一页");
			$(".list_pages .pagination li").eq(index).addClass("pg_prev");
		}else if(pageText=="»"){
			$(".list_pages .pagination li").eq(index).find("a").text("下一页");
			$(".list_pages .pagination li").eq(index).addClass("pg_next");
		}
	})
	
	
	// 手机导航
	$(".subnav").parent().addClass("has_subnav");
	$("nav ul>li").click(function(){
		$(this).toggleClass("current").siblings().removeClass("current");
	})
	
	$(".menu").click(function(){
		$("body").toggleClass("active");
	})
		
		// 返回顶部
		var sTop=$(window).scrollTop();
		var winH=$(window).height()
		if(sTop>=200){
			$(".fix_bar_in").css({"bottom":"2.5vw"})
		}
		else{
			$(".fix_bar_in").css({"bottom":"-200px"})
		}
		 $(window).scroll(function(){
			var sTop=$(window).scrollTop();
			var winH=$(window).height()
			if(sTop>=200){
				$(".fix_bar_in").css({"bottom":"2.5vw"})
			}
			else{
				$(".fix_bar_in").css({"bottom":"-200px"})
			}
		  })
		  
		  $(".as_totop").click(function () {
				$("html,body").animate({scrollTop:"0px"},666);
		  });


	
	
	
	
	



	
	
	
	
	
	
})

// 鼠标滚动动效
wow = new WOW(
	{
	animateClass:'animated',
	offset:100,
	callback:function(box) {
		console.log("WOW: animating <" + box.tagName.toLowerCase() + ">")
	}
	}
);
wow.init();


// placeholder的兼容
$(function(){
if(!placeholderSupport()){   // 判断浏览器是否支持 placeholder
	$('[placeholder]').focus(function() {
		var input = $(this);
		if (input.val() == input.attr('placeholder')) {
			input.val('');
			input.removeClass('placeholder');
		}
	}).blur(function() {
		var input = $(this);
		if (input.val() == '' || input.val() == input.attr('placeholder')) {
			input.addClass('placeholder');
			input.val(input.attr('placeholder'));
		}
	}).blur();
};
})
function placeholderSupport() {
	return 'placeholder' in document.createElement('input');
}











